%define mainver 1.1.3
##define cvsver 20030528

#%def_enable yahoo
##def_disable sg_patch

Name: ejabberd
Version: %mainver
Release: alt2

Summary: Fault-tolerant distributed Jabber server written in Erlang
License: JOSL/GPL
Group:	System/Servers
URL:	http://ejabberd.jabberstudio.org/

Requires: erlang jabber-common
# Automatically added by buildreq on Thu Aug 24 2006
BuildPreReq: jabber-common
BuildRequires: erlang libexpat-devel libssl-devel linux-libc-headers packages-info-i18n-common zlib-devel

Source: ejabberd-%mainver.tar.gz
Source1: ejabberd.init
Source2: ejabberd.cfg
Source3: ejabberd.logrotate
Source4: ejabberd
Source5: ejabberdctl
Source6: ejabberd.8.gz
Source7: ejabberdctl.8.gz
Source8: ejabberd.jabber-config
Source9: mod_passrecover.tar.gz

#Patch: ejabberd-w3c_compliancy.patch.gz

%description
ejabberd is a Free and Open Source distributed fault-tolerant Jabber
server. It writen mostly in Erlang.

The main features of ejabberd is:

* Truly portable
* Distributed
* Fault-tolerance
* Built-in Multi-User Chat service
* Built-in IRC transport
* Built-in Publish-Subscribe service
* Built-in Jabber Users Directory service based on users vCards
* Built-in web-based administration interface
* Built-in HTTP Polling service
* SSL support
* Support for LDAP authentification
* Ability to interface with external components (JIT, MSN-t, Yahoo-t, etc)
* Migration from jabberd14 is possible
* Mostly XMPP-compliant
* Support for JEP-0030 (Service Discovery).
* Support for JEP-0039 (Statistics Gathering).
* Support for xml:lang 

%description -l ru_RU.UTF-8
ejabberd - свободный распределенный Jabber-сервер с поддержкой
резервирования и открытыми исходными кодами. Он написан в основном на
Erlang.

Основными достоинствами ejabberd являются:

* Настоящая портабельность
* Распределенность
* Поддержка резервирования для защиты от сбоев
* Встроенный сервис Multi-User Chat
* Встроенный транспорт IRC
* Встреонный сервис Publish-Subscribe
* Встроенная Jabber Users Directory по vCards пользователей
* Встроенный web-интерфейс для администрирования
* Встроенный сервис HTTP Polling
* Поддержка SSL
* Поддержка аутентификации через LDAP
* Поддержка подключения внешних компонент (JIT, MSN-t, Yahoo-t и т.п.)
* Возможность легкой миграции с jabberd14
* Почти полная совместимость со стандартом XMPP
* Поддержка JEP-0030 (Service Discovery).
* Поддержка JEP-0039 (Statistics Gathering).
* Поддержка xml:lang 

%prep
%setup
tar xvzf %SOURCE9
mv mod_passrecover/*.erl src
#%patch -p1

%build
grep -A1 -B1 '^%%%%%% ' src/mod_passrecover.erl >mod_passrecover.txt
cd src
%configure --prefix=%buildroot
%make_build

%install
cd src
#cp Makefile Makefile.old
#sed "s,^DESTDIR =,DESTDIR = %buildroot,g;s,^prefix = ,prefix = %buildroot,g;" <Makefile.old >Makefile
%makeinstall
%__mkdir_p %buildroot{%_sysconfdir/logrotate.d,%_initdir,%_sbindir,%_mandir/man8,%_var/run/ejabberd,%_jabber_server_dir}
%__install -m 755 %SOURCE1 %buildroot%_initdir/ejabberd
%__install -m 644 %SOURCE2 %buildroot%_sysconfdir/ejabberd/ejabberd.cfg
%__install -m 644 %SOURCE3 %buildroot%_sysconfdir/logrotate.d/ejabberd
%__install %SOURCE4 %buildroot%_sbindir
%__install %SOURCE5 %buildroot%_sbindir
%__install %SOURCE6 %buildroot%_mandir/man8
%__install %SOURCE7 %buildroot%_mandir/man8
%__install %SOURCE8 %buildroot%_jabber_server_dir/ejabberd

%pre
%_sbindir/groupadd -r -f ejabberd \
    2>/dev/null ||:
%_sbindir/useradd -r -g ejabberd -c 'ejabberd server' -d %_localstatedir/ejabberd \
    -s /dev/null ejabberd 2>/dev/null ||:

%post
%_jabber_config

%files
%doc doc ChangeLog mod_passrecover.txt
%doc %_mandir/man8/*
%attr(640,root,ejabberd) %config(noreplace) %_sysconfdir/ejabberd/ejabberd.cfg
%_sbindir/*
%attr(750,ejabberd,ejabberd) %_localstatedir/ejabberd
%attr(750,ejabberd,ejabberd) %dir %_logdir/ejabberd 
%attr(750,ejabberd,ejabberd) %dir %_var/run/ejabberd
%config %_initdir/ejabberd
%config %_sysconfdir/logrotate.d/ejabberd
%_jabber_server_dir/ejabberd

%changelog
* Wed Mar 14 2007 Mikhail Yakshin <greycat@altlinux.org> 1.1.3-alt2
- jabber-config support
- added mod_passrecover (#11065)

* Sun Feb 18 2007 Mikhail Yakshin <greycat@altlinux.org> 1.1.3-alt1
- 1.1.3

* Fri Dec 29 2006 ALT QA Team Robot <qa-robot@altlinux.org> 1.1.1-alt1.1
- Rebuilt due to libcrypto.so.4 -> libcrypto.so.6 soname change.

* Thu Aug 24 2006 Mikhail Yakshin <greycat@altlinux.org> 1.1.1-alt1
- 1.1.1

* Mon Jan 09 2006 Mikhail Yakshin <greycat@altlinux.org> 1.0.0-alt1
- 1.0.0

* Sat Aug 27 2005 Mikhail Yakshin <greycat@altlinux.ru> 0.9.8-alt1
- 0.9.8
- added w3c standards compliance patch

* Wed Apr 20 2005 Mikhail Yakshin <greycat@altlinux.ru> 0.9-alt1
- 0.9
- modified ejabberd init to support 'status' command

* Tue Mar 08 2005 Mikhail Yakshin <greycat@altlinux.ru> 0.7.5-alt2
- fixed #6135 with patch from teo (Sergei Golovan)

* Wed Jan 12 2005 Mikhail Yakshin <greycat@altlinux.ru> 0.7.5-alt1
- 0.7.5

* Sun Aug 22 2004 Mikhail Yakshin <greycat@altlinux.ru> 0.7-alt1
- Initial build for ALT Linux

